layui.use([ 'element', 'table', 'laydate', 'form' ], function() {
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;

	// 生成表格
	table.render({
		elem 	: '#expressFeeTable',
		url 	: '../../../getExpressFees', 
		toolbar : '#toolbarDemo',
		title 	: '用户表',// 导出文件名
		id 		: 'expressFeeTableAll',
		// 开启分页
		// page	: true,
		page 	: {
			layout : [ 'count', 'prev', 'page', 'next', 'skip', 'limit' ]
		},
		limits	: [10,30,50,80,100,999],
		/*request : {
			'limitName' : 'pageSize' // 分页每页条数默认字段改为pageSize
		},*/
		where:{
			content:''
		},
		cellMinWidth : 80, // 全局定义常规单元格的最小宽度，layui 2.2.1 新增
		cols : [ [ {
			type : 'numbers',
			title : '序号',
			width : 50,
			fixed : "left"
		},{
			field : 'proTypeLabel',
			title : '产品',
			width : 200
		},{
			field : 'province',
			title : '省份',
			width : 250
		},{
			field : 'firstWeightPrice',
			title : '首重(元/kg)',
			edit  : 'text',
			width : 150
		},{
			field : 'continuedWeightPrice',
			title : '续重(元/kg)',
			edit  : 'text',
			width : 150
		},{
			field : 'startPrice',
			align : 'center',
			width :  100,
			title : '起步价',
			edit  : 'text'
		},{
			field : 'createBy',
			align : 'center',
			width : 150,
			title : '创建人'
		},{
			field : 'createDate',
			title : '创建时间',
			width : 220,
			align : 'center',
			templet : function(d) {
				return d.createDate != null ?layui.util.toDateString(d.createDate, "yyyy-MM-dd HH:mm:ss") : "";
			} 
		},{
			fixed : 'right',
			title : '操作',
			align : 'center',
			width : 150,
			toolbar : '#barDemo'
		} ] ],
		parseData : function(res) { //将原始数据解析成 table 组件所规定的数据
			console.log(res)
			return {
				"code" 	: 0, //解析接口状态
				"msg" 	: "", //解析提示文本
				"count"	: res.data.list.total,//解析数据长度
				"data" 	: res.data.list.list //解析数据列表
			};
		}
	});

	//点击查询按钮，重载表格
	$('#searchBtn').on('click', function() {
		table.reload('expressFeeTableAll', {
			method : 'get',
			where : {
				province : $("#province").val()
			},
			page : {
				curr : 1
			}
		});
		return false;
	});
	
	// 监听头部工作栏的 新增
	table.on('toolbar(expressFeeTable)', function(obj) {
		var checkStatus = table.checkStatus(obj.config.id);
		switch (obj.event) {
		case 'add':
			layer.open({
				type : 2,
				title : "添加省份快递费",
				fix: false, //不固定
	    		maxmin: true,
	    		skin:'layui-layer-molv',
				area : [ '45%', '70%' ],
				content : './addExpressFee.jsp',
			});
			break;
		}
		;
	});
	//监听单元格编辑
	table.on('edit(expressFeeTable)', function(obj){
		var value = obj.value, //得到修改后的值
	    data = obj.data, //得到所在行所有键值
	    field = obj.field; //得到字段
	    $.ajax({
			url:"../../../updateExpressFee",
		  	data:{
		  		id: data.id, 
		  		value: value, 
		  		field: field
		  	},
			type:"post",
		  	success:function (data) {
			 	if (data.code == 200) {
			 		layer.msg('修改成功！',{icon:6,offset:"auto",time:1000});//提示框
			  	}else{
				    layer.msg('修改失败！',{icon:5,offset:"auto",time:1000});//提示框
			  	}
		 	}  
	 	}); 
	  });
	// 监听 删除
	table.on('tool(expressFeeTable)', function(obj) {
		var data1 = obj.data;
		if(obj.event === 'del'){
	      	layer.confirm('确定要删除该数据么？',{icon:3,title:"提示"}, function(index){
	    	  	$.ajax({
	    			url:"../../../deleteExpressFee",
	    		  	data:{'id': data1.id},
	    			type:"post",
	    			//dataType:"json",
	    		  	success:function (data) {
	    			 	if (data.code == 200) {
	    			 		layer.msg('删除成功！',{icon:6,offset:"auto",time:1000});//提示框
					  	}else{
						    layer.msg('删除失败！',{icon:5,offset:"auto",time:1000});//提示框
					  	}
	    			 	setTimeout(function(){
	    			 		location.reload();//重新加载页面
						}, 1100);
	    		 	}  
	    	 	});  
	            return false; 
	     	});
	    }
	})
});
